Skip to main content

Fetch Lab Investigation Set

Retrieve the list of lab investigations associated with the designated lab investigations sets by using the invSetId provided in the parameters and ensuring the presence of a valid token in the headers.

Demo Curl​

curl --location 'https://demo.hng.one/developerapi/mmu/lab-investigations-sets?invSetId=<<invSetId>>' \
--header 'Authorization: Bearer <<TOKEN>>'

Prod Curl​

curl --location 'https://aths.hng.one/developerapi/mmu/lab-investigations-sets?invSetId=<<invSetId>>' \
--header 'Authorization: Bearer <<TOKEN>>''

Sample Responce​

You will receive a response similar to below

{
"code": "Ok",
"message": "Lab Investigations Set obtained successfully",
"data": [
{
"id": 1,
"attributes": {
"invSetName": "<<invSetName>>",
"invSetId": "<<invSetId>>",
"description": null,
"createdAt": "2023-02-09T05:58:42.160Z",
"updatedAt": "2024-01-04T10:50:38.360Z",
"publishedAt": "2023-02-09T06:01:16.586Z",
"investigations": [
{
"id": 1,
"testName": "ABCD",
"testCode": "XYZ",
"testGroup": "BIO CHEMISTRY",
"isSampleRequired": true,
"sampleTypeName": "plain(serum)",
"content_lab_id": "abcd1234",
"sampleTypeId": "xyz123",
"isMedexLab": true
}
]
}
}
]
}